Package org.eclipse.draw2d

# Interface AnchorListener

All Known Implementing Classes:
  `PolylineConnection`

public interface AnchorListener
Classes which implement this interface provide a method to notify that an anchor has moved.

Instances of this class can be added as listeners of an Anchor using the `addAnchorListener` method and removed using the `removeAnchorListener` method.

## Method Summary

Modifier and Type
Method
Description
`void`
`anchorMoved(ConnectionAnchor anchor)`
Called when an anchor has moved to a new location.

## Method Details

### anchorMoved

void anchorMoved(ConnectionAnchor anchor)
Called when an anchor has moved to a new location.

Parameters:
  `anchor` - The anchor that has moved.